Summary: A small utility for safely making /tmp files.
Name: mktemp
Version: 1.6
Release: 1
License: BSD
Group: System Environment/Base
Source0: ftp://ftp.mktemp.org/pub/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
URL: http://www.mktemp.org
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix}
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install bindir=${RPM_BUILD_ROOT}%{_bindir} mandir=${RPM_BUILD_ROOT}%{_mandir}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LICENSE
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Nov 20 2006 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Mon Jan 23 2006 Michael Perzl <michael@perzl.org> - 1.5-1
- first version for AIX V5.1 and higher
